public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: add new test which covers watch* permissions
@ 2026-09-11 13:20 Milos Malik
0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:20 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 12ec984e076b621579b6b6422543e2a173570ba2
Author : Milos Malik <mmalik@redhat.com>
Date : 2023-06-20T16:36:59+00:00
Stats : +161/-0 in 4 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/12ec984e076b621579b6b6422543e2a173570ba2?branch=pr775-checkpolicy-revdeps
Log:
add new test which covers watch* permissions
In comparison to kernel, which recognizes various watch permissions,
SELinux policy does not recognize them yet. But that situation should
change soon.
Purpose of the TC is to find out if the same watch* permissions recognized
by kernel are also recognized by SELinux policy.
The TC covers BZ#1915034.
---
diff --git a/selinux-policy/watch-permissions/Makefile b/selinux-policy/watch-permissions/Makefile
new file mode 100644
index 0000000..52ffa08
--- /dev/null
+++ b/selinux-policy/watch-permissions/Makefile
@@ -0,0 +1,68 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/selinux-policy/Sanity/watch-permissions
+# Description: Are various watch permissions defined in SELinux policy?
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Sanity/watch-permissions
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x runtest.sh
+ chcon -t bin_t runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: Are various watch permissions defined in SELinux policy?" >> $(METADATA)
+ @echo "Type: Sanity" >> $(METADATA)
+ @echo "TestTime: 10m" >> $(METADATA)
+ @echo "RunFor: selinux-policy" >> $(METADATA)
+ @echo "Requires: audit git libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console" >> $(METADATA)
+ @echo "RhtsRequires: library(selinux-policy/common)" >> $(METADATA)
+ @echo "Environment: AVC_ERROR=+no_avc_check" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Releases: -RHEL4 -RHEL5 -RHEL6 -RHEL7 -RHEL8" >> $(METADATA)
+ @echo "Bug: 1915034" >> $(METADATA) # Fedora rawhide
+
+ rhts-lint $(METADATA)
+
diff --git a/selinux-policy/watch-permissions/PURPOSE b/selinux-policy/watch-permissions/PURPOSE
new file mode 100644
index 0000000..6cdb8e4
--- /dev/null
+++ b/selinux-policy/watch-permissions/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Sanity/watch-permissions
+Author: Milos Malik <mmalik@redhat.com>
+
+Description: Are various watch permissions defined in SELinux policy?
+
diff --git a/selinux-policy/watch-permissions/main.fmf b/selinux-policy/watch-permissions/main.fmf
new file mode 100644
index 0000000..9d37a3d
--- /dev/null
+++ b/selinux-policy/watch-permissions/main.fmf
@@ -0,0 +1,28 @@
+path: /selinux-policy/watch-permissions
+contact: Milos Malik <mmalik@redhat.com>
+test: ./runtest.sh
+framework: beakerlib
+component:
+ - selinux-policy
+require:
+ - library(selinux-policy/common)
+recommend:
+ - audit
+ - git
+ - libselinux
+ - libselinux-utils
+ - policycoreutils
+ - setools-console
+ - selinux-policy
+ - selinux-policy-targeted
+environment:
+ AVC_ERROR: +no_avc_check
+duration: 15m
+enabled: true
+link:
+ - verifies: https://bugzilla.redhat.com/show_bug.cgi?id=1915034
+adjust:
+ - enabled: false
+ when: distro = rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+ continue: false
+
diff --git a/selinux-policy/watch-permissions/runtest.sh b/selinux-policy/watch-permissions/runtest.sh
new file mode 100755
index 0000000..c8183ab
--- /dev/null
+++ b/selinux-policy/watch-permissions/runtest.sh
@@ -0,0 +1,60 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux-policy/Sanity/watch-permissions
+# Description: Are various watch permissions defined in SELinux policy?
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlRun "rlImport 'selinux-policy/common'"
+ rlSESatisfyRequires
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-targeted
+
+ rlSESetEnforce
+ rlSEStatus
+ rlSESetTimestamp
+ sleep 2
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1915034"
+ for PERM in watch watch_mount watch_sb watch_with_perm watch_reads ; do
+ rlRun "seinfo --common file -x | grep -w ${PERM}"
+ done
+ rlRun "seinfo -c filesystem -x | grep -w watch"
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ sleep 2
+ rlSECheckAVC
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:20 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:20 [tests/selinux] pr775-checkpolicy-revdeps: add new test which covers watch* permissions Milos Malik
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox